
function init_websocket(statusbar, open, message){
	websocket = new WebSocket(wsURI);

	websocket.onclose = function (evt) { statusbar.innerHTML = 'disconnected'; };
	websocket.onerror = function (evt) { statusbar.innerHTML = 'error: ' + evt.data; };

	websocket.onopen = function (evt) {
		statusbar.innerHTML = 'connected';
		open(evt);
	};
	websocket.onmessage = function (evt) {
		message(evt);
	};

	return websocket;
}